package dev.inmo.postssystem.features.content.client

import dev.inmo.postssystem.features.content.common.Content
import kotlinx.coroutines.flow.StateFlow
import org.w3c.dom.HTMLElement

interface ContentClientProvider {
    fun contentTypeNameForUser(): String

    fun drawNewContent(root: HTMLElement): StateFlow<Content>
}
